Name:		mldonkey
Version:	3.1.0
Release:	%mkrel 4
Summary:	Door to the 'donkey' network
License:	GPL
Source0:	http://downloads.sourceforge.net/%{name}/%{version}/%{name}-%{version}.tar.bz2
#http://savannah.nongnu.org/download/mldonkey/%{name}-%{version}.tar.bz2
Source1:	%{name}-icon-16.png
Source2:	%{name}-icon-32.png
Source3:	%{name}-icon-48.png
Source4:	%{name}.init
Source5:	downloads.ini
Source6:	%{name}.sysconfig
Source7:	mlnet.sh
Source8:	mldonkey_df_monitor.crond
Source9:	mldonkey_df_monitor.sh
Source10:	mlgui.sh
Source11:	mldonkey.logrotate
Patch0:		mldonkey-3.0.7-libnatpmp.patch
Patch1:		mldonkey-3.0.7-miniupnpc.patch
URL:		http://sourceforge.net/projects/mldonkey/
#http://www.nongnu.org/mldonkey
Group:		System/Servers
BuildRequires:	camlp4
BuildRequires:	libgd-devel
BuildRequires:	libncurses-devel
BuildRequires:	librsvg-devel
BuildRequires:  ocaml >= 3.10.2
BuildRequires:	ocaml-findlib
BuildRequires:	ocaml-lablgtk2-devel
BuildRequires:	bzip2-devel
BuildRequires:	magic-devel
#BuildRequires:	miniupnpc-devel
#BuildRequires:	libnatpmp-devel
BuildRequires:	wget
Epoch:		1
Requires: 	netcat

%description
MLDonkey is a door to the 'donkey' network, a decentralized network used to
exchange big files on the Internet. It is written in a wonderful language,
called Objective-Caml, and present most features of the basic Windows donkey
client, plus some more:
  - It should work on most UNIX-compatible platforms.
  - You can remotely command your client, either by telnet, on a WEB browser,
    or with the GTK interface.
  - You can connect to several servers, and each search will query all the
     connected servers.
  - You can select mp3s by bitrates in queries (useful ?).
  - You can select the name of a downloaded file before moving it to your
    incoming directory.
  - You can have several queries in the graphical user interface at the same
     time.
  - You can remember your old queries results in the command-line interface.
  - You can search in the history of all files you have seen on the network.

It can also access other peer-to-peer networks:
- Direct Connect
- Open Napster
- Gnutella LimeWire
- Soulseek
- Audio Galaxy
- OpenFT
- Overnet
- Bittorent
- FileTP

%package gui
Summary:	Graphical frontend for mldonkey based on GTK
Group:		Networking/Other
Provides:	mldonkey-gui-i18n
Provides:       mldonkey-gui-i18n-de
Provides:       mldonkey-gui-i18n-es
Provides:       mldonkey-gui-i18n-fr
Provides:       mldonkey-gui-i18n-pt_BR
Provides:       mldonkey-gui-i18n-sv
Obsoletes:      mldonkey-gui-i18n-de
Obsoletes:      mldonkey-gui-i18n-es
Obsoletes:      mldonkey-gui-i18n-fr
Obsoletes:      mldonkey-gui-i18n-pt_BR
Obsoletes:      mldonkey-gui-i18n-sv

%description gui
The GTK interface for mldonkey provides a convenient way of managing
all mldonkey operations. It gives details about conected servers,
downloaded files, friends and lets one search for files in a pleasing
way.

%package chat
Summary:	Graphical chat frontend for mldonkey based on GTK
Group:		Networking/Other
Requires:	%{name}-gui = %{epoch}:%{version}-%{release}

%description chat
A simple chat frontend for mldonkey based on GTK

%package init
Requires(pre):	rpm-helper
Summary:	Init to launch mldonkey
Group:		System/Servers
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description init
Contains init and configs to launch mldonkey as a service.

NOTE: by default incoming dir is located in /var/lib/mldonkey/incoming and
temp dir in /var/cache/mldonkey. Mlondkey is launched by daemon function
with mldonkey user (created in postinst script).

NOTE: If you are using a password for your mldonkey, you now need to specify
it in your /etc/sysconfig/mldonkey, because mldonkey now stores them crypted.

%package ed2k_submit
Summary:	This tool gives you an easy way to add a ed2k-link
Group:		Graphical desktop/KDE
Requires:	konqueror
Requires:	perl-libwww-perl

%description ed2k_submit
This tool gives you an easy way to add an ed2k-link
(like ed2k://|file|filename.exe|21352658|72b0b287cab7d875ccc1d89ebe910b9g|)
with a single click to your mldonkey download queue.

You need to edit /etc/sysconfig/mldonkey_submit

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
# upnp build disabled as it does not work
#configure2_5x --enable-gui --enable-upnp-natpmp --disable-force-upnp-natpmp
%configure2_5x --enable-gui 
%make

%install
rm -rf %{buildroot}

# core
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_libdir}/%{name}
install -m 755 %{SOURCE7} %{buildroot}%{_bindir}/mlnet
install -m 755 mlnet %{buildroot}%{_libdir}/%{name}/mlnet
install -m 755 distrib/mldonkey_command %{buildroot}%{_bindir}/mldonkey_command
install -m 755 distrib/kill_mldonkey %{buildroot}%{_bindir}/kill_mldonkey

for link in mlbt mldonkey mlgnut; do
		ln -s mlnet %{buildroot}%{_libdir}/%{name}/$link ;
done

# gui
install -m 755 mlgui %{buildroot}%{_libdir}/%{name}/mlgui
install -m 755 mlguistarter %{buildroot}%{_libdir}/%{name}/mlguistarter
install -m 755 distrib/mldonkey_previewer %{buildroot}%{_bindir}/mldonkey_previewer
install -m 755 %{SOURCE10} %{buildroot}%{_bindir}/mlgui

# i18n
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 distrib/i18n/gui_messages.ini.de %{buildroot}%{_datadir}/%{name}/gui_messages.ini.de
install -m 644 distrib/i18n/gui_messages.ini.fr.noaccents %{buildroot}%{_datadir}/%{name}/gui_messages.ini.fr
install -m 644 distrib/i18n/gui_messages.ini.sp %{buildroot}%{_datadir}/%{name}/gui_messages.ini.es
install -m 644 distrib/i18n/gui_messages.ini.pt_BR %{buildroot}%{_datadir}/%{name}/gui_messages.ini.pt_BR
install -m 644 distrib/i18n/gui_messages.ini.sv %{buildroot}%{_datadir}/%{name}/gui_messages.ini.sv
install -m 644 distrib/i18n/gui_messages.ini.catalan %{buildroot}%{_datadir}/%{name}/gui_messages.ini.ca
install -m 644 distrib/i18n/gui_messages.ini.dutch %{buildroot}%{_datadir}/%{name}/gui_messages.ini.dutch
install -m 644 distrib/i18n/gui_messages.ini.ga %{buildroot}%{_datadir}/%{name}/gui_messages.ini.ga

# init
install -d -m 755 %{buildroot}%{_initrddir}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/incoming
install -d -m 755 %{buildroot}%{_localstatedir}/cache/mldonkey
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 755 %{SOURCE4} %{buildroot}%{_initrddir}/mldonkey
install -m 644 %{SOURCE5} %{buildroot}%{_localstatedir}/lib/%{name}/downloads.ini
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/mldonkey
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/cron.d/mldonkey_df_monitor
install -m 755 %{SOURCE9} %{buildroot}%{_libdir}/%{name}/mldonkey_df_monitor.sh
install -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/logrotate.d/mldonkey

# macroize library dirs in scripts
perl -i -pe 's|/usr/lib/%{name}|%{_libdir}/%{name}|g' \
	%{buildroot}%{_bindir}/mlnet %{buildroot}%{_bindir}/mlgui \
	%{buildroot}%{_initrddir}/mldonkey \
	%{buildroot}%{_sysconfdir}/cron.d/mldonkey_df_monitor \
	%{buildroot}%{_localstatedir}/lib/%{name}/downloads.ini \
	%{buildroot}%{_libdir}/%{name}/mldonkey_df_monitor.sh

# ed2k_submit
install -d -m 755 %{buildroot}%{_datadir}/services/
install -m 755 distrib/ed2k_submit/mldonkey_submit %{buildroot}%{_bindir}/mldonkey_submit
install -m 644 distrib/ed2k_submit/mldonkey %{buildroot}%{_sysconfdir}/sysconfig/mldonkey_submit
install -m 644 distrib/ed2k_submit/ed2k.protocol  %{buildroot}%{_datadir}/services/ed2k.protocol

# menu
install %{SOURCE1} -D -m 644 %{buildroot}%{_miconsdir}/%{name}.png
install %{SOURCE2} -D -m 644 %{buildroot}%{_iconsdir}/%{name}.png
install %{SOURCE3} -D -m 644 %{buildroot}%{_liconsdir}/%{name}.png

install -d -m 755 %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}-gui.desktop
[Desktop Entry]
Name=Mldonkey GUI
Comment=Download files with Mldonkey
Exec=%{_bindir}/mlgui
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;FileTransfer;P2P;
EOF

%pre init
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/bash

%post init
%_post_service %{name}

%preun init
%_preun_service %{name}

%postun init
%_postun_userdel %{name}

%post chat
%update_menus

%postun chat
%clean_menus

%files
%doc Copying.txt distrib/Authors.txt distrib/Bugs.txt distrib/ChangeLog
%doc distrib/Todo.txt distrib/ed2k_submit/README.MLdonkeySubmit distrib/Developers.txt
%doc docs
%{_bindir}/mlnet
%{_bindir}/mldonkey_command
%{_bindir}/kill_mldonkey
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/mlbt
%{_libdir}/%{name}/mldonkey
%{_libdir}/%{name}/mlgnut
%{_libdir}/%{name}/mlnet
#{_libdir}/%{name}/use_tags

%files gui
%doc Copying.txt distrib/Authors.txt distrib/Bugs.txt distrib/ChangeLog distrib/Developers.txt distrib/Todo.txt
%{_bindir}/mlgui*
%{_bindir}/mldonkey_previewer
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/mlgui
%{_libdir}/%{name}/mlguistarter
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}-gui.desktop

%files init
%doc Copying.txt
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/cron.d/mldonkey_df_monitor
%config(noreplace) %{_initrddir}/mldonkey
%config(noreplace) %{_sysconfdir}/logrotate.d/mldonkey
%{_libdir}/%{name}/mldonkey_df_monitor.sh
%attr(600,mldonkey,mldonkey) %config(noreplace) %{_localstatedir}/lib/mldonkey/downloads.ini
%attr(770,mldonkey,mldonkey) %dir %{_localstatedir}/lib/%{name}/incoming
%attr(700,mldonkey,mldonkey) %dir %{_localstatedir}/cache/%{name}
%attr(710,mldonkey,mldonkey) %dir %{_localstatedir}/lib/%{name}

%files ed2k_submit
%doc Copying.txt distrib/ed2k_submit/README.MLdonkeySubmit
%config(noreplace) %{_sysconfdir}/sysconfig/mldonkey_submit
%{_bindir}/mldonkey_submit
%{_datadir}/services/ed2k.protocol



%changelog

* Sat Dec 17 2011 zezinho <zezinho> 1:3.1.0-4.mga2
+ Revision: 183125
- spec cleanup and fix desktop file

* Wed Nov 16 2011 wally <wally> 1:3.1.0-3.mga2
+ Revision: 168245
- remove changelog section from .spec as it's generated from svn logs (mga#3363)

* Sun Oct 30 2011 zezinho <zezinho> 1:3.1.0-2.mga2
+ Revision: 160185
- go back to 3.0.7 as 3.1.0 does not build at the moment
- new version
  upnp disabled to allow startup, closes #3026

* Sun Oct 02 2011 dlucio <dlucio> 1:3.0.7-5.mga2
+ Revision: 150948
- Fixing Bug 2890

* Mon Sep 19 2011 fwang <fwang> 1:3.0.7-4.mga2
+ Revision: 145305
- rebuild for new libpng
- build with latest miniupnpc
- fix build with latest libnatpmp
- disable local upnp and natpmp
- br wget
- build with system libs
- requires konqueror instead of kdebase

  + dlucio <dlucio>
    - imported package mldonkey


* Sat Oct 31 2009 Guillaume Rousse <guillomovitch@zarb.org> 1:3.0.1-1plf2010.0
- new version
- drop old configure patch
- drop old menu entry
- add libmagic support
- fix #250:
 - fix %%{_localstatedir} semantic change
 - fix log file handling in initscript

* Sun Mar 01 2009 Stefan van der Eijk <stefan@zarb.org> 1:3.0.0-1plf2009.1
- 3.0.0
- fix netcat dependency

* Sun Jan 25 2009 Stefan van der Eijk <stefan@zarb.org> 1:2.9.7-1plf2009.1
- 2.9.7

* Mon May 05 2008 Stefan van der Eijk <stefan@zarb.org> 1:2.9.5-1plf2008.1
- 2.9.5

* Tue Mar 18 2008 Anssi Hannula <anssi@zarb.org> 1:2.9.4-2plf2008.1
- rebuild

* Sun Mar 16 2008 Stefan van der Eijk <stefan@zarb.org> 1:2.9.4-1plf2008.1
- 2.9.4

* Fri Jan 25 2008 Anssi Hannula <anssi@zarb.org> 1:2.9.3-1plf2008.1
- 2.9.3

* Thu Dec 20 2007 Guillaume Bedot <littletux@zarb.org> 1:2.9.2-4plf2008.1
- freedesktop menu

* Wed Dec 19 2007 Guillaume Bedot <littletux@zarb.org> 1:2.9.2-3plf2008.1
- configure fix for new ocaml-lablgtk2

* Fri Nov 30 2007 Guillaume Bedot <littletux@zarb.org> 1:2.9.2-1plf2008.1
- 2.9.2

* Sun Jun 03 2007 Stefan van der Eijk 1:2.8.7-1
- 2.8.7

* Sat Jun 01 2007 Stefan van der Eijk 1:2.8.6-1
- 2.8.6

* Sun Apr 01 2007 Stefan van der Eijk 1:2.8.4-2
- 2.8.4
- add changelog entry

* Sun Feb 11 2007 Stefan van der Eijk 1:2.8.3-1
- 2.8.3

* Thu Nov 30 2006 Stefan van der Eijk 1:2.8.2-1
- 2.8.2

* Sun Sep 17 2006 Stefan van der Eijk 1:2.8.1-1
- 2.8.1

* Fri Sep 15 2006 Stefan van der Eijk 1:2.8.0-1
- 2.8.0

* Fri Jun 23 2006 Stefan van der Eijk 1:2.7.7-1
- 2.7.7

* Sun May 21 2006 trem <trem@zarb.org> 1:2.7.6-1plf
- 2.7.6

* Mon Apr 17 2006 trem <trem@zarb.org> 1:2.7.5-2plf
- run the daemon with mldonkey user (thanks Daniel)

* Fri Apr 13 2006 trem <trem@zarb.org> 1:2.7.5-1plf
- 2.7.5

* Sat Mar 04 2006 Stefan van der Eijk <stefan@zarb.org> 1:2.7.4-1plf
- 2.7.4

* Thu Jan 19 2006 trem <trem@zarb.org> 1:2.7.3-1plf
- 2.7.3

* Thu Jan  5 2006 Anssi Hannula <anssi@zarb.org> 1:2.7.2-1plf
- 2.7.2
- now builds with ocaml 3.09
- drop some wrong symlinks
- drop patch1, patch2, applied upstream
- drop patch3, unneeded

* Mon Jan  2 2006 trem <trem@zarb.org> 1:2.7.1-1plf
- 2.7.1

* Tue Nov 29 2005 Anssi Hannula <anssi@zarb.org> 2.7.0-3plf
- BuildConflicts camlp4 on cooker
- fix init script

* Thu Nov 26 2005 Anssi Hannula <anssi@zarb.org> 2.7.0-2plf
- fix init script

* Thu Nov 24 2005 Anssi Hannula <anssi@zarb.org> 2.7.0-1plf
- 2.7.0
- fix init script
- fix double buildrequires ncurses-devel

* Mon Nov  7 2005 Anssi Hannula <anssi@zarb.org> 2.6.7-2plf
- mldonkey needs specifically ocaml 3.08, so build that locally on cooker
- fix init script (bug #83)
- fix incoming dir (bug #84)

* Sat Oct 29 2005 Anssi Hannula <anssi@zarb.org> 2.6.7-1plf
- upgrade to 2.6.7 (bug #33)
- patch3: disable build errors for unused variables
- fix %%_libdir in scripts (bug #69)
- quiet %%setup
- drop patch2, upstream
- BuildRequires libgtk+2-devel librsvg-devel ocaml-lablgtk2-devel libgd-devel

* Wed Jan 12 2005 Laurent Culioli <laurent@zarb.org> 2.5.28-5plf
- spiralvoice patchpack28m
- use default_incoming and share strategy instead incoming_directory
  in downloads.ini

* Sat Oct 23 2004 trem <trem@zarb.org> 2.5.28-4plf
- fix amd64 fix 

* Fri Oct 22 2004 trem <trem@zarb.org> 2.5.28-3plf
- fix amd64

* Thu Oct 21 2004 Laurent Culioli <laurent@zarb.org> 2.5.28-2plf
- fix mldonkey status in initscript ( roudoud0u@free.fr )
- fix changelog...

* Thu Oct 21 2004 Laurent Culioli <laurent@zarb.org> 2.5.28-1plf
- 2.5.28
- spiralvoice patchpack28g

* Thu Oct 21 2004 Laurent Culioli <laurent@zarb.org> 2.5.22-1plf
- 2.5.22 
- Patch2: index_servers_by_ip2 ( thx to <sergio@ensanjose.net> )

* Fri May 07 2004 Laurent Culioli <laurent@zarb.org> 2.5.21-1plf
- 2.5.21
- update description

* Mon May 03 2004 Laurent Culioli <laurent@zarb.org> 2.5.19-1plf
- 2.5.19
- fix init
- drop patch2

* Sun Mar 14 2004 Laurent Culioli <laurent@pschit.net> 2.5.16-1plf
- 2.5.16
- Patch2: fix os_lseek compile bug

* Sun Feb 29 2004 Laurent Culioli <laurent@pschit.net> 2.5.12-1plf
- 2.5.12
- drop i18n package
- add some i18n

* Mon Jan 05 2004 Laurent Culioli <laurent@pschit.net> 2.5.4+2-0.20040105.1plf
- cvs snapshot

* Fri Oct 17 2003 Laurent Culioli <laurent@pschit.net> 2.5.4-1plf
- 2.5.4

* Sun Sep 21 2003 Laurent Culioli <laurent@pschit.net> 2.5.3-4plf
- fix parsing of df in mldonkey_df_monitor ( thx to fcrozat )

* Tue Jul 29 2003 Laurent Culioli <laurent@pschit.net> 2.5.3-3plf 
- drop perl substitution ( not needed thx to fcrozat )
- patch1 : fix hash regexp in mldonkey_submit ( thx to fcrozat )
- use mlnet and mlgui in script instead old name ( keep link for compability )

* Fri Jun 06 2003 Guillaume Rousse <guillomovitch@zarb.org> 2.5.3-2plf
- really fixed requires (/me sux)

* Thu Jun 05 2003 Laurent Culioli <laurent@pschit.net> 2.5.3-1plf
- 2.5-3 ( fixed enormous bug in donkey that could cause 
  corruption on other clients ) please upgrade asap 

* Wed Jun 04 2003 Laurent Culioli <laurent@pschit.net> 2.5.0-1plf
- 2.5

* Sat May 24 2003 Guillaume Rousse <guillomovitch@zarb.org> 2.4.0-3plf
- fixed requires

* Sat May 24 2003 Guillaume Rousse <guillomovitch@zarb.org> 2.4.0-2plf
- stricter dependencies between subpackages
- more macros
- menu sanitization

* Sat May 17 2003 Laurent Culioli <laurent@pschit.net> 2.4.0-1plf
- 2.4 final

* Fri May 09 2003 Laurent Culioli <laurent@pschit.net> 2.4-0.rc10.1plf 
- 2.4rc10

* Tue Apr 23 2003 Laurent Culioli <laurent@pschit.net> 2.4-0.rc5.1plf
- 2.4rc5
- fix logrotate (  Michael Reinsch <mr@uue.org> )
  logrotate: copytruncate doesn't work -> let mldonkey reopen the log

* Tue Apr 23 2003 Laurent Culioli <laurent@pschit.net> 2.04-0.rc4.1plf
- 2.04rc4
- use i18n from mldonkey tarball ( drop source 21->26 )

* Mon Apr 14 2003 Laurent Culioli <laurent@pschit.net> 2.04-0.rc1.15.1plf
- add catalan i18n
- From  Michael Reinsch <mr@uue.org>
    o 2.04rc1-15 ( bittorent support :)
    o logrotate: rotate daily (log is big), use copytruncate
    o added mlbt
    o mldonkey.init:
       - use -daemon, -run_as_user and -logfile when starting mldonkey
       - reload sends -HUP
       - read password from /etc/sysconfig/mldonkey (mldonkey now crypts pwds)
    o really fixed mldonkey_monitor
    o enable multithreading
    o dirs should be owned by packages as well

* Tue Apr 08 2003 Laurent Culioli <laurent@pschit.net> 2.04-0.rc1.3plf
- fix init and mldonkey_monitor scripts ( thx to f.crozat and p.libat )
- add logrotate

* Mon Mar 17 2003 Laurent Culioli <laurent@pschit.net> 2.04-0.rc1.2plf
- use mldonkey_gui wrapper to simplify i18n packages
- clean specfile
- make rpmlint more happy

* Sun Mar 16 2003 Laurent Culioli <laurent@pschit.net> 2.04rc1-1plf
- 2.04rc1
- drop mlim
- From Michael Reinsch <mr@uue.org>
	o mldonkey_init: added mldonkey_df_monitor which will disable all downloads
	  if too less space is left in your cache dir and will send you an email
	o moved mlchat in package mldonkey-chat
	o removed workaround (LC_CTYPE=foo) for bug in mldonkey_gui, fixed

* Thu Jan 23 2003 Michael Reinsch <mr@uue.org> 2.02.6-1plf
- 2.02.6
- workaround for bug in mldonkey_gui: set LC_CTYPE=foo
- patch mldonkey_command to work with authentication
- initscripts:
  - uses authentication if necessary
  - configurable log file for stdout
- adjusted some directory permissions (allow users in group mldonkey to
  modify stuff in incoming)
- small cleanups

* Thu Jan 23 2003 Laurent Culioli <laurent@pschit.net> 2.02-2plf
- add swedish i18n
- From Franscisco Javier Felix <ffelix@gescosoft.com>
	o Fix i18lang spanish, after included all langs, *es* is for all
	o Make profile for select correct lang
	o Change security for directories, other user of mldonkey group have
          access to this directory

* Tue Dec 31 2002 Laurent Culioli <laurent@pschit.net> 2.02-1plf
- 2.02
- add i18n : pt_BR , es

* Mon Dec  2 2002 Laurent Culioli <laurent@pschit.net> 2.00-1plf
- use mldonkey_command instead killproc to kill properly mldonkey
- add status in init 
- add french and german i18n for mldonkey_gui
- update description 
- fix downloads.ini

* Sun Oct 20 2002 Laurent Culioli <laurent@pschit.net> 2.00-1plf
- 2.00
- upgrade init ( michar )
- add mldonkey-ed2k_submit subpackage
- add mldonkey-init subpackage
- you can now easy execute mldonkey a normal user ( in ~/.mldonkey ) 
- clean specfile

* Wed Sep 25 2002 Laurent Culioli <laurent@pschit.net> 1.99-0.beta8.1plf
- bump to beta8

* Tue Sep 24 2002 Laurent Culioli <laurent@pschit.net> 1.99-0.beta7.2plf
- clean spec file

* Sun Sep 22 2002 Laurent Culioli <laurent@pschit.net> 1.99-0.beta7.1plf
- bump to beta7
- attribut for downloads.ini : 644 to 600  ( thx to michar )
- attribut for mldonkey directory : 755 to 700
- minimal downloads.ini ( thx to michar )
- some changes in mldonkey init ( thx to michar )
- dont require wget ( use killproc instead wget )
- add /etc/sysconfig/mldonkey for , huummmm , only one option : nice level  :)

* Sat Sep 21 2002 Laurent Culioli <laurent@pschit.net> 1.99-0.beta5.2plf
- put a standard downloads.ini 
- fix init
- various fix

* Sat Sep 21 2002 Laurent Culioli <laurent@pschit.net> 1.99-0.beta5.1plf
- first plf release
